Class | Archive::Tar::Minitar::Output
In: | lib/facets/more/minitar.rb
Parent: | Object

Wraps a Archive::Tar::Minitar::Writer with convenience methods and wrapped stream management; Output only works with random access data streams. See Output::new for details.

### Methods

close new open tar

### Public Class methods

new(output)

Creates a new Output object. If `output` is a stream object that responds to read), then it will simply be wrapped. Otherwise, one will be created and opened using Kernel#open. When Output#close is called, the stream object wrapped will be closed.

open(output) {|stream| ...}

With no associated block, +Output::open+ is a synonym for +Output::new+. If the optional code block is given, it will be passed the new writer as an argument and the Output object will automatically be closed when the block terminates. In this instance, +Output::open+ returns the value of the block.

### Public Instance methods

close()

Closes the Writer object and the wrapped data stream.

tar()

Returns the Writer object for direct access.

[Validate]